public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/conmon/
Date: Thu,  9 Sep 2021 05:25:01 +0000 (UTC)	[thread overview]
Message-ID: <1631165009.e4346c992c8b59ab3d8ca5ba59bbb66d235370f0.zmedico@gentoo> (raw)

commit:     e4346c992c8b59ab3d8ca5ba59bbb66d235370f0
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Thu Sep  9 05:23:29 2021 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Thu Sep  9 05:23:29 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4346c99

app-emulation/conmon: Bump to version 2.0.29

Package-Manager: Portage-3.0.22, Repoman-3.0.3
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-emulation/conmon/Manifest             |  1 +
 app-emulation/conmon/conmon-2.0.29.ebuild | 48 +++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/app-emulation/conmon/Manifest b/app-emulation/conmon/Manifest
index f8329538e44..be73829ef4a 100644
--- a/app-emulation/conmon/Manifest
+++ b/app-emulation/conmon/Manifest
@@ -1,3 +1,4 @@
 DIST conmon-2.0.22.tar.gz 103371 BLAKE2B f509ba800c847886ec2350e141d2b965ff1cc09822467718fb0d94acdabdc86c6f40dff9428679e4c4171ac6a522b3ba7622d66ebd8108be1a68cbf7418d5c09 SHA512 819e1d9279c1a22388220d710b975cdeb3c0b56413afb177afe1c96b649e2dce496d5f51fe4094f572111f771102ccd0ae86f1776e99fedb2e76e6e9130c2d5c
 DIST conmon-2.0.26.tar.gz 104681 BLAKE2B fc8369258a414d3a169b64019199c604d1d8bded70d5a38230f243053dcf09c6f9aee931b328913e6cbbe3c495aab4894647897f40f537a79eb587ecee58517a SHA512 5cbb66053fb48b514f93b3be4d4ac428f9eea8a3e1452b4df232250e9cd01202ecb7477c05e1e4dfb21595f2d1881be35cdea9b23f43c02bb7c0e67a3161396e
 DIST conmon-2.0.27.tar.gz 106647 BLAKE2B f242b1be4f86b18ca94dade3d1f5522d1ae1951f4b7abf7e563e1a93472c2a673cd48a136fdff12b410ebaa46694b70ffbf173fc37a3bbefb03891452c22dfae SHA512 2bc389fa3963cbb612669ec1d288adc888d7ac1de2b9bf483f18e0f62220775327ebcb771bfa7236815ef7247adb8fc6b8ae38748f7a383ec9590e3ee5769b65
+DIST conmon-2.0.29.tar.gz 160628 BLAKE2B 9cff934a6774ea51476624b9c56bc0dc71eeb9383d48fbb3d6b04ad7be462e8cb792e72cf9d98f9ca54eff274f1a3c2bbad3f8d8cf53fe0d2e259e4f6d93ed7e SHA512 0eec0322ee209efacae93b6e96c3bea2468a309d6211c8c047b49fa3bd8b5d1a198a16b3ff1ffe629dc37a12e2e0db1979e8876833c5cef0f69be35d4be8b550

diff --git a/app-emulation/conmon/conmon-2.0.29.ebuild b/app-emulation/conmon/conmon-2.0.29.ebuild
new file mode 100644
index 00000000000..0a7306d1c2d
--- /dev/null
+++ b/app-emulation/conmon/conmon-2.0.29.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="An OCI container runtime monitor"
+HOMEPAGE="https://github.com/containers/conmon"
+SRC_URI="https://github.com/containers/conmon/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64"
+IUSE="systemd"
+RESTRICT="test"
+
+RDEPEND="dev-libs/glib:=
+	systemd? ( sys-apps/systemd:= )"
+DEPEND="${RDEPEND}
+	dev-go/go-md2man"
+
+src_prepare() {
+	default
+
+	if ! use systemd; then
+		sed -e 's| $(PKG_CONFIG) --exists libsystemd-journal | false |' \
+			-e 's| $(PKG_CONFIG) --exists libsystemd | false |' \
+			-i Makefile || die
+	fi
+	sed -e 's|make -C tools|$(MAKE) -C tools|' -i Makefile || die
+	sed -e 's|^GOMD2MAN = .*|GOMD2MAN = go-md2man|' -i docs/Makefile || die
+}
+
+src_compile() {
+	tc-export CC
+	emake GIT_COMMIT="v${PV}" \
+		all
+}
+
+src_install() {
+	emake DESTDIR="${D}" \
+		PREFIX="/usr" \
+		install
+	dodir /usr/libexec/podman
+	ln "${ED}/usr/"{bin,libexec/podman}/conmon || die
+	dodoc README.md
+}


             reply	other threads:[~2021-09-09  5:25 UTC|newest]

Thread overview: 37+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-09-09  5:25 Zac Medico [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-12-07  3:57 [gentoo-commits] repo/gentoo:master commit in: app-emulation/conmon/ Zac Medico
2021-11-26 20:53 Zac Medico
2021-11-26 20:53 Zac Medico
2021-11-17  2:16 Sam James
2021-11-14  8:38 Sam James
2021-10-18  2:01 Zac Medico
2021-07-04  6:06 Georgy Yakovlev
2021-03-17  7:56 Zac Medico
2021-02-25 21:41 Zac Medico
2021-02-25 21:40 Zac Medico
2020-12-29  9:00 Zac Medico
2020-12-29  8:49 Zac Medico
2020-12-28 23:29 Zac Medico
2020-08-30  0:22 Zac Medico
2020-08-29 22:45 Sam James
2020-07-28 22:01 Zac Medico
2020-07-16  0:55 Zac Medico
2020-06-20  2:41 Zac Medico
2020-05-25 22:45 Zac Medico
2020-05-25 22:45 Zac Medico
2020-04-19 20:21 Zac Medico
2020-04-19 20:21 Zac Medico
2020-03-05  5:17 Zac Medico
2020-03-05  5:17 Zac Medico
2020-01-18  1:11 Zac Medico
2020-01-17 23:51 Zac Medico
2019-11-01 23:11 Zac Medico
2019-11-01 23:02 Zac Medico
2019-09-13 19:41 Zac Medico
2019-08-28 14:34 David Seifert
2019-08-21 18:15 Zac Medico
2019-08-21 18:13 Zac Medico
2019-08-21 17:57 Zac Medico
2019-08-21 17:56 Zac Medico
2019-07-18 19:48 Zac Medico
2019-06-01  6:07 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1631165009.e4346c992c8b59ab3d8ca5ba59bbb66d235370f0.zmedico@gentoo \
    --to=zmedico@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox